org.eclipse.jgit.notes

## Class Note

- java.lang.Object
- - org.eclipse.jgit.lib.AnyObjectId
  - - org.eclipse.jgit.lib.ObjectId
    - - org.eclipse.jgit.notes.Note

All Implemented Interfaces:
  Serializable, Comparable<AnyObjectId>

    public class Note
    extends ObjectId

In-memory representation of a single note attached to one object.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Note(AnyObjectId noteOn, ObjectId noteData)` A Git note about the object referenced by `noteOn`.

### Method Summary

All Methods Instance Methods Concrete Methods
`ObjectId` `getData()`
`String` `toString()`

### Methods inherited from class org.eclipse.jgit.lib.ObjectId

`equals, fromRaw, fromRaw, fromRaw, fromRaw, fromString, fromString, isId, toObjectId, toString, zeroId`

### Methods inherited from class org.eclipse.jgit.lib.AnyObjectId

`abbreviate, compareTo, compareTo, compareTo, copy, copyRawTo, copyRawTo, copyRawTo, copyRawTo, copyTo, copyTo, copyTo, copyTo, copyTo, copyTo, equals, equals, equals, getByte, getFirstByte, getName, hashCode, name, startsWith`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Note

    public Note(AnyObjectId noteOn,
                ObjectId noteData)

A Git note about the object referenced by `noteOn`.

Parameters:
  `noteOn` - the object that has a note attached to it.
  `noteData` - the actual note data contained in this note

### Method Detail

#### getData

    public ObjectId getData()

Returns:
  the note content

#### toString

    public String toString()

Overrides:
  `toString` in class `AnyObjectId`